Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004984 [JEDI VCL] 00 JVCL Components crash always 2009-10-18 19:10 2009-10-25 10:48
Reporter plars View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0004984: Delphi 2009 crash after loadfromresource in Tjvlistview
Description Crash after loadfromresource in Tjvlistview no problem in delphi 2008 or before


Additional Information breaks out :

          //Read the string
          if Length(Buf) < J then
            SetLength(Buf, J);
          if J > 0 then
          begin
           Stream.Read(Buf, J);
   SetString(UTF8St, PAnsiChar(Buf[0]), J);
            st := UTF8ToString(UTF8St);
          end
Tags No tags attached.
Attached Files ? file icon JvListView.pas [^] (84,278 bytes) 2009-10-18 19:10
rar file icon sample.rar [^] (472,556 bytes) 2009-10-19 19:13
rar file icon delphi 2007 working sample.rar [^] (408,422 bytes) 2009-10-19 19:27

- Relationships

-  Notes
(0016782)
plars (reporter)
2009-10-18 19:34

I ment loadfromstream!! NOT loadfromresource! :-)
(0016784)
obones (administrator)
2009-10-19 08:56

Please provide the zipped sources of a sample application showing this
(0016787)
plars (reporter)
2009-10-19 19:15

see sample.rar.
Code + database is similar to the real code.
Everything worked fine until i moved to delphi 2009.
(0016788)
plars (reporter)
2009-10-19 19:27

Also added a delphi 2007 working sample .
(0016801)
plars (reporter)
2009-10-23 19:49

Does anybody knows how to solve this????
(0016807)
AHUser (developer)
2009-10-25 10:48

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2009-10-18 19:10 plars New Issue
2009-10-18 19:10 plars File Added: JvListView.pas
2009-10-18 19:33 plars Issue Monitored: plars
2009-10-18 19:34 plars Note Added: 0016782
2009-10-19 08:56 obones Note Added: 0016784
2009-10-19 08:56 obones Status new => feedback
2009-10-19 19:13 plars File Added: sample.rar
2009-10-19 19:15 plars Note Added: 0016787
2009-10-19 19:27 plars File Added: delphi 2007 working sample.rar
2009-10-19 19:27 plars Note Added: 0016788
2009-10-23 19:49 plars Note Added: 0016801
2009-10-25 10:48 AHUser Note Added: 0016807
2009-10-25 10:48 AHUser Status feedback => resolved
2009-10-25 10:48 AHUser Fixed in Version => Daily / SVN
2009-10-25 10:48 AHUser Resolution open => fixed
2009-10-25 10:48 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker